GET /v1/dashboards/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Dashboards
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Dashboards.get_versions("03fb5cc3-de48-423f-9926-8e192e5de59d")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
dashboard_v1 = Dashboards.get_specific_version(
"03fb5cc3-de48-423f-9926-8e192e5de59d",
"0.1"
)
print(f"Original description: {dashboard_v1.description}")
import static org.openmetadata.sdk.fluent.Dashboards.*;
// List all versions
var history = Dashboards.getVersions("03fb5cc3-de48-423f-9926-8e192e5de59d");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Dashboards.getSpecificVersion(
"03fb5cc3-de48-423f-9926-8e192e5de59d",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "dashboard",
"versions": [
"{\"id\":\"03fb5cc3-de48-423f-9926-8e192e5de59d\",\"name\":\"10\",\"displayName\":\"deck.gl Demo v2\",\"fullyQualifiedName\":\"sample_superset.10\",\"version\":0.2,\"description\":\"Updated: deck.gl Demo dashboard with new visualizations\",\"serviceType\":\"Superset\"}",
"{\"id\":\"03fb5cc3-de48-423f-9926-8e192e5de59d\",\"name\":\"10\",\"displayName\":\"deck.gl Demo\",\"fullyQualifiedName\":\"sample_superset.10\",\"version\":0.1,\"description\":\"\",\"serviceType\":\"Superset\"}"
]
}
Dashboard Versions
List and retrieve historical versions of a dashboard
GET
/
v1
/
dashboards
/
{id}
/
versions
GET /v1/dashboards/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Dashboards
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Dashboards.get_versions("03fb5cc3-de48-423f-9926-8e192e5de59d")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
dashboard_v1 = Dashboards.get_specific_version(
"03fb5cc3-de48-423f-9926-8e192e5de59d",
"0.1"
)
print(f"Original description: {dashboard_v1.description}")
import static org.openmetadata.sdk.fluent.Dashboards.*;
// List all versions
var history = Dashboards.getVersions("03fb5cc3-de48-423f-9926-8e192e5de59d");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Dashboards.getSpecificVersion(
"03fb5cc3-de48-423f-9926-8e192e5de59d",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "dashboard",
"versions": [
"{\"id\":\"03fb5cc3-de48-423f-9926-8e192e5de59d\",\"name\":\"10\",\"displayName\":\"deck.gl Demo v2\",\"fullyQualifiedName\":\"sample_superset.10\",\"version\":0.2,\"description\":\"Updated: deck.gl Demo dashboard with new visualizations\",\"serviceType\":\"Superset\"}",
"{\"id\":\"03fb5cc3-de48-423f-9926-8e192e5de59d\",\"name\":\"10\",\"displayName\":\"deck.gl Demo\",\"fullyQualifiedName\":\"sample_superset.10\",\"version\":0.1,\"description\":\"\",\"serviceType\":\"Superset\"}"
]
}
Dashboard Versions
Every change to a dashboard entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the dashboard.
Get Specific Version
UseGET /v1/dashboards/{id}/versions/{version} to retrieve a specific version.
UUID of the dashboard.
Version number to retrieve (e.g.,
0.2).GET /v1/dashboards/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Dashboards
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Dashboards.get_versions("03fb5cc3-de48-423f-9926-8e192e5de59d")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
dashboard_v1 = Dashboards.get_specific_version(
"03fb5cc3-de48-423f-9926-8e192e5de59d",
"0.1"
)
print(f"Original description: {dashboard_v1.description}")
import static org.openmetadata.sdk.fluent.Dashboards.*;
// List all versions
var history = Dashboards.getVersions("03fb5cc3-de48-423f-9926-8e192e5de59d");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = Dashboards.getSpecificVersion(
"03fb5cc3-de48-423f-9926-8e192e5de59d",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/dashboards/03fb5cc3-de48-423f-9926-8e192e5de59d/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "dashboard",
"versions": [
"{\"id\":\"03fb5cc3-de48-423f-9926-8e192e5de59d\",\"name\":\"10\",\"displayName\":\"deck.gl Demo v2\",\"fullyQualifiedName\":\"sample_superset.10\",\"version\":0.2,\"description\":\"Updated: deck.gl Demo dashboard with new visualizations\",\"serviceType\":\"Superset\"}",
"{\"id\":\"03fb5cc3-de48-423f-9926-8e192e5de59d\",\"name\":\"10\",\"displayName\":\"deck.gl Demo\",\"fullyQualifiedName\":\"sample_superset.10\",\"version\":0.1,\"description\":\"\",\"serviceType\":\"Superset\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full dashboard object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Dashboard or version does not exist |
Was this page helpful?
⌘I